source: squid-ssl/trunk/fuentes/helpers/ssl/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 33.6 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94subdir = helpers/ssl
95ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
96am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
97        $(top_srcdir)/acinclude/init.m4 \
98        $(top_srcdir)/acinclude/squid-util.m4 \
99        $(top_srcdir)/acinclude/compiler-flags.m4 \
100        $(top_srcdir)/acinclude/os-deps.m4 \
101        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
102        $(top_srcdir)/acinclude/pkg.m4 \
103        $(top_srcdir)/acinclude/lib-checks.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
106        $(top_srcdir)/helpers/basic_auth/modules.m4 \
107        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
121        $(top_srcdir)/helpers/digest_auth/modules.m4 \
122        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
133        $(top_srcdir)/helpers/log_daemon/modules.m4 \
134        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
136        $(top_srcdir)/helpers/external_acl/modules.m4 \
137        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
141        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
142        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
145        $(top_srcdir)/helpers/external_acl/session/required.m4 \
146        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
147        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
148        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
149        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
150        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
153        $(top_srcdir)/configure.ac
154am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
155        $(ACLOCAL_M4)
156DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
157mkinstalldirs = $(install_sh) -d
158CONFIG_HEADER = $(top_builddir)/include/autoconf.h
159CONFIG_CLEAN_FILES =
160CONFIG_CLEAN_VPATH_FILES =
161am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
162am__vpath_adj = case $$p in \
163    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
164    *) f=$$p;; \
165  esac;
166am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
167am__install_max = 40
168am__nobase_strip_setup = \
169  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
170am__nobase_strip = \
171  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
172am__nobase_list = $(am__nobase_strip_setup); \
173  for p in $$list; do echo "$$p $$p"; done | \
174  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
175  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
176    if (++n[$$2] == $(am__install_max)) \
177      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
178    END { for (dir in files) print dir, files[dir] }'
179am__base_list = \
180  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
181  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
182am__uninstall_files_from_dir = { \
183  test -z "$$files" \
184    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
185    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
186         $(am__cd) "$$dir" && rm -f $$files; }; \
187  }
188am__installdirs = "$(DESTDIR)$(libexecdir)"
189SCRIPTS = $(libexec_SCRIPTS)
190AM_V_P = $(am__v_P_@AM_V@)
191am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
192am__v_P_0 = false
193am__v_P_1 = :
194AM_V_GEN = $(am__v_GEN_@AM_V@)
195am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
196am__v_GEN_0 = @echo "  GEN     " $@;
197am__v_GEN_1 =
198AM_V_at = $(am__v_at_@AM_V@)
199am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
200am__v_at_0 = @
201am__v_at_1 =
202SOURCES =
203DIST_SOURCES =
204am__can_run_installinfo = \
205  case $$AM_UPDATE_INFO_DIR in \
206    n|no|NO) false;; \
207    *) (install-info --version) >/dev/null 2>&1;; \
208  esac
209am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
210am__tty_colors_dummy = \
211  mgn= red= grn= lgn= blu= brg= std=; \
212  am__color_tests=no
213am__tty_colors = { \
214  $(am__tty_colors_dummy); \
215  if test "X$(AM_COLOR_TESTS)" = Xno; then \
216    am__color_tests=no; \
217  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
218    am__color_tests=yes; \
219  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
220    am__color_tests=yes; \
221  fi; \
222  if test $$am__color_tests = yes; then \
223    red='[0;31m'; \
224    grn='[0;32m'; \
225    lgn='[1;32m'; \
226    blu='[1;34m'; \
227    mgn='[0;35m'; \
228    brg='[1m'; \
229    std='[m'; \
230  fi; \
231}
232am__recheck_rx = ^[     ]*:recheck:[    ]*
233am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
234am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
235# A command that, given a newline-separated list of test names on the
236# standard input, print the name of the tests that are to be re-run
237# upon "make recheck".
238am__list_recheck_tests = $(AWK) '{ \
239  recheck = 1; \
240  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
241    { \
242      if (rc < 0) \
243        { \
244          if ((getline line2 < ($$0 ".log")) < 0) \
245            recheck = 0; \
246          break; \
247        } \
248      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
249        { \
250          recheck = 0; \
251          break; \
252        } \
253      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
254        { \
255          break; \
256        } \
257    }; \
258  if (recheck) \
259    print $$0; \
260  close ($$0 ".trs"); \
261  close ($$0 ".log"); \
262}'
263# A command that, given a newline-separated list of test names on the
264# standard input, create the global log from their .trs and .log files.
265am__create_global_log = $(AWK) ' \
266function fatal(msg) \
267{ \
268  print "fatal: making $@: " msg | "cat >&2"; \
269  exit 1; \
270} \
271function rst_section(header) \
272{ \
273  print header; \
274  len = length(header); \
275  for (i = 1; i <= len; i = i + 1) \
276    printf "="; \
277  printf "\n\n"; \
278} \
279{ \
280  copy_in_global_log = 1; \
281  global_test_result = "RUN"; \
282  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
283    { \
284      if (rc < 0) \
285         fatal("failed to read from " $$0 ".trs"); \
286      if (line ~ /$(am__global_test_result_rx)/) \
287        { \
288          sub("$(am__global_test_result_rx)", "", line); \
289          sub("[        ]*$$", "", line); \
290          global_test_result = line; \
291        } \
292      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
293        copy_in_global_log = 0; \
294    }; \
295  if (copy_in_global_log) \
296    { \
297      rst_section(global_test_result ": " $$0); \
298      while ((rc = (getline line < ($$0 ".log"))) != 0) \
299      { \
300        if (rc < 0) \
301          fatal("failed to read from " $$0 ".log"); \
302        print line; \
303      }; \
304      printf "\n"; \
305    }; \
306  close ($$0 ".trs"); \
307  close ($$0 ".log"); \
308}'
309# Restructured Text title.
310am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
311# Solaris 10 'make', and several other traditional 'make' implementations,
312# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
313# by disabling -e (using the XSI extension "set +e") if it's set.
314am__sh_e_setup = case $$- in *e*) set +e;; esac
315# Default flags passed to test drivers.
316am__common_driver_flags = \
317  --color-tests "$$am__color_tests" \
318  --enable-hard-errors "$$am__enable_hard_errors" \
319  --expect-failure "$$am__expect_failure"
320# To be inserted before the command running the test.  Creates the
321# directory for the log if needed.  Stores in $dir the directory
322# containing $f, in $tst the test, in $log the log.  Executes the
323# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
324# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
325# will run the test scripts (or their associated LOG_COMPILER, if
326# thy have one).
327am__check_pre = \
328$(am__sh_e_setup);                                      \
329$(am__vpath_adj_setup) $(am__vpath_adj)                 \
330$(am__tty_colors);                                      \
331srcdir=$(srcdir); export srcdir;                        \
332case "$@" in                                            \
333  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
334    *) am__odir=.;;                                     \
335esac;                                                   \
336test "x$$am__odir" = x"." || test -d "$$am__odir"       \
337  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
338if test -f "./$$f"; then dir=./;                        \
339elif test -f "$$f"; then dir=;                          \
340else dir="$(srcdir)/"; fi;                              \
341tst=$$dir$$f; log='$@';                                 \
342if test -n '$(DISABLE_HARD_ERRORS)'; then               \
343  am__enable_hard_errors=no;                            \
344else                                                    \
345  am__enable_hard_errors=yes;                           \
346fi;                                                     \
347case " $(XFAIL_TESTS) " in                              \
348  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
349    am__expect_failure=yes;;                            \
350  *)                                                    \
351    am__expect_failure=no;;                             \
352esac;                                                   \
353$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
354# A shell command to get the names of the tests scripts with any registered
355# extension removed (i.e., equivalently, the names of the test logs, with
356# the '.log' extension removed).  The result is saved in the shell variable
357# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
358# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
359# since that might cause problem with VPATH rewrites for suffix-less tests.
360# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
361am__set_TESTS_bases = \
362  bases='$(TEST_LOGS)'; \
363  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
364  bases=`echo $$bases`
365RECHECK_LOGS = $(TEST_LOGS)
366AM_RECURSIVE_TARGETS = check recheck
367TEST_SUITE_LOG = test-suite.log
368TEST_EXTENSIONS = @EXEEXT@ .test
369am__test_logs1 = $(TESTS:=.log)
370am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
371TEST_LOGS = $(am__test_logs2:.test.log=.log)
372TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
373TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
374        $(TEST_LOG_FLAGS)
375am__set_b = \
376  case '$@' in \
377    */*) \
378      case '$*' in \
379        */*) b='$*';; \
380          *) b=`echo '$@' | sed 's/\.log$$//'`; \
381       esac;; \
382    *) \
383      b='$*';; \
384  esac
385am__DIST_COMMON = $(srcdir)/Makefile.in \
386        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
387DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
388ACLOCAL = @ACLOCAL@
389ADAPTATION_LIBS = @ADAPTATION_LIBS@
390ALLOCA = @ALLOCA@
391AMTAR = @AMTAR@
392AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
393AR = @AR@
394ARGZ_H = @ARGZ_H@
395AR_R = @AR_R@
396AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
397AUTH_MODULES = @AUTH_MODULES@
398AUTOCONF = @AUTOCONF@
399AUTOHEADER = @AUTOHEADER@
400AUTOMAKE = @AUTOMAKE@
401AWK = @AWK@
402BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
403BUILDCXX = @BUILDCXX@
404BUILDCXXFLAGS = @BUILDCXXFLAGS@
405BZR = @BZR@
406CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
407CC = @CC@
408CCDEPMODE = @CCDEPMODE@
409CFLAGS = @CFLAGS@
410CGIEXT = @CGIEXT@
411CHMOD = @CHMOD@
412CPP = @CPP@
413CPPFLAGS = @CPPFLAGS@
414CPPUNITCONFIG = @CPPUNITCONFIG@
415CRYPTLIB = @CRYPTLIB@
416CXX = @CXX@
417CXXCPP = @CXXCPP@
418CXXDEPMODE = @CXXDEPMODE@
419CXXFLAGS = @CXXFLAGS@
420CYGPATH_W = @CYGPATH_W@
421DEFAULT_HOSTS = @DEFAULT_HOSTS@
422DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
423DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
424DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
425DEFS = @DEFS@
426DEPDIR = @DEPDIR@
427DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
428DISK_LIBS = @DISK_LIBS@
429DISK_LINKOBJS = @DISK_LINKOBJS@
430DISK_MODULES = @DISK_MODULES@
431DISK_OS_LIBS = @DISK_OS_LIBS@
432DISK_PROGRAMS = @DISK_PROGRAMS@
433DLLTOOL = @DLLTOOL@
434DSYMUTIL = @DSYMUTIL@
435DUMPBIN = @DUMPBIN@
436ECAP_LIBS = @ECAP_LIBS@
437ECHO_C = @ECHO_C@
438ECHO_N = @ECHO_N@
439ECHO_T = @ECHO_T@
440EGREP = @EGREP@
441EPOLL_LIBS = @EPOLL_LIBS@
442EUILIB = @EUILIB@
443EXEEXT = @EXEEXT@
444EXPATLIB = @EXPATLIB@
445EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
446EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
447EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
448FALSE = @FALSE@
449FGREP = @FGREP@
450GREP = @GREP@
451HAVE_CXX11 = @HAVE_CXX11@
452ICAP_LIBS = @ICAP_LIBS@
453INCLTDL = @INCLTDL@
454INSTALL = @INSTALL@
455INSTALL_DATA = @INSTALL_DATA@
456INSTALL_PROGRAM = @INSTALL_PROGRAM@
457INSTALL_SCRIPT = @INSTALL_SCRIPT@
458INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
459KRB5INCS = @KRB5INCS@
460KRB5LIBS = @KRB5LIBS@
461LBERLIB = @LBERLIB@
462LD = @LD@
463LDAPLIB = @LDAPLIB@
464LDFLAGS = @LDFLAGS@
465LIBADD_DL = @LIBADD_DL@
466LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
467LIBADD_DLOPEN = @LIBADD_DLOPEN@
468LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
469LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
470LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
471LIBLTDL = @LIBLTDL@
472LIBOBJS = @LIBOBJS@
473LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
474LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
475LIBS = @LIBS@
476LIBSASL = @LIBSASL@
477LIBTOOL = @LIBTOOL@
478LIB_DB = @LIB_DB@
479LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
480LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
481LINUXDOC = @LINUXDOC@
482LIPO = @LIPO@
483LN = @LN@
484LN_S = @LN_S@
485LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
486LTDLDEPS = @LTDLDEPS@
487LTDLINCL = @LTDLINCL@
488LTDLOPEN = @LTDLOPEN@
489LTLIBOBJS = @LTLIBOBJS@
490LT_CONFIG_H = @LT_CONFIG_H@
491LT_DLLOADERS = @LT_DLLOADERS@
492LT_DLPREOPEN = @LT_DLPREOPEN@
493MAINT = @MAINT@
494MAKEINFO = @MAKEINFO@
495MANIFEST_TOOL = @MANIFEST_TOOL@
496MINGW_LIBS = @MINGW_LIBS@
497MKDIR = @MKDIR@
498MKDIR_P = @MKDIR_P@
499MV = @MV@
500NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
501NETTLELIB = @NETTLELIB@
502NM = @NM@
503NMEDIT = @NMEDIT@
504NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
505OBJDUMP = @OBJDUMP@
506OBJEXT = @OBJEXT@
507OTOOL = @OTOOL@
508OTOOL64 = @OTOOL64@
509PACKAGE = @PACKAGE@
510PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
511PACKAGE_NAME = @PACKAGE_NAME@
512PACKAGE_STRING = @PACKAGE_STRING@
513PACKAGE_TARNAME = @PACKAGE_TARNAME@
514PACKAGE_URL = @PACKAGE_URL@
515PACKAGE_VERSION = @PACKAGE_VERSION@
516PATH_SEPARATOR = @PATH_SEPARATOR@
517PERL = @PERL@
518PKG_CONFIG = @PKG_CONFIG@
519PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
520PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
521PO2HTML = @PO2HTML@
522PO2TEXT = @PO2TEXT@
523POD2MAN = @POD2MAN@
524RANLIB = @RANLIB@
525REGEXLIB = @REGEXLIB@
526REPL_LIBS = @REPL_LIBS@
527REPL_OBJS = @REPL_OBJS@
528REPL_POLICIES = @REPL_POLICIES@
529RM = @RM@
530SED = @SED@
531SET_MAKE = @SET_MAKE@
532SH = @SH@
533SHELL = @SHELL@
534SMBCLIENT = @SMBCLIENT@
535SNMPLIB = @SNMPLIB@
536SQUID_CFLAGS = @SQUID_CFLAGS@
537SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
538SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
539SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
540SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
541SSLLIB = @SSLLIB@
542STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
543STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
544STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
545STORE_TESTS = @STORE_TESTS@
546STRIP = @STRIP@
547TR = @TR@
548TRUE = @TRUE@
549URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
550VERSION = @VERSION@
551WBINFO = @WBINFO@
552WIN32_PSAPI = @WIN32_PSAPI@
553XMLLIB = @XMLLIB@
554XTRA_LIBS = @XTRA_LIBS@
555XTRA_OBJS = @XTRA_OBJS@
556abs_builddir = @abs_builddir@
557abs_srcdir = @abs_srcdir@
558abs_top_builddir = @abs_top_builddir@
559abs_top_srcdir = @abs_top_srcdir@
560ac_ct_AR = @ac_ct_AR@
561ac_ct_CC = @ac_ct_CC@
562ac_ct_CXX = @ac_ct_CXX@
563ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
564am__include = @am__include@
565am__leading_dot = @am__leading_dot@
566am__quote = @am__quote@
567am__tar = @am__tar@
568am__untar = @am__untar@
569bindir = @bindir@
570build = @build@
571build_alias = @build_alias@
572build_cpu = @build_cpu@
573build_os = @build_os@
574build_vendor = @build_vendor@
575builddir = @builddir@
576datadir = @datadir@
577datarootdir = @datarootdir@
578docdir = @docdir@
579dvidir = @dvidir@
580exec_prefix = @exec_prefix@
581host = @host@
582host_alias = @host_alias@
583host_cpu = @host_cpu@
584host_os = @host_os@
585host_vendor = @host_vendor@
586htmldir = @htmldir@
587includedir = @includedir@
588infodir = @infodir@
589install_sh = @install_sh@
590krb5_config = @krb5_config@
591libdir = @libdir@
592libexecdir = @libexecdir@
593localedir = @localedir@
594localstatedir = @localstatedir@
595ltdl_LIBOBJS = @ltdl_LIBOBJS@
596ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
597mandir = @mandir@
598mkdir_p = @mkdir_p@
599oldincludedir = @oldincludedir@
600pdfdir = @pdfdir@
601prefix = @prefix@
602program_transform_name = @program_transform_name@
603psdir = @psdir@
604runstatedir = @runstatedir@
605sbindir = @sbindir@
606sharedstatedir = @sharedstatedir@
607srcdir = @srcdir@
608subdirs = @subdirs@
609sys_symbol_underscore = @sys_symbol_underscore@
610sysconfdir = @sysconfdir@
611target_alias = @target_alias@
612top_build_prefix = @top_build_prefix@
613top_builddir = @top_builddir@
614top_srcdir = @top_srcdir@
615AM_CFLAGS = $(SQUID_CFLAGS)
616AM_CXXFLAGS = $(SQUID_CXXFLAGS)
617CLEANFILES =
618AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
619        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
620        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
621        $(am__append_1)
622@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
623@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
624COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
625subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
626libexec_SCRIPTS = cert_valid.pl
627EXTRA_DIST = \
628        cert_valid.pl
629
630all: all-am
631
632.SUFFIXES:
633.SUFFIXES: .log .test .test$(EXEEXT) .trs
634$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
635        @for dep in $?; do \
636          case '$(am__configure_deps)' in \
637            *$$dep*) \
638              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
639                && { if test -f $@; then exit 0; else break; fi; }; \
640              exit 1;; \
641          esac; \
642        done; \
643        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign helpers/ssl/Makefile'; \
644        $(am__cd) $(top_srcdir) && \
645          $(AUTOMAKE) --foreign helpers/ssl/Makefile
646Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
647        @case '$?' in \
648          *config.status*) \
649            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
650          *) \
651            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
652            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
653        esac;
654$(top_srcdir)/src/Common.am $(am__empty):
655
656$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
657        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
658
659$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
660        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
661$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
662        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
663$(am__aclocal_m4_deps):
664
665clean-checkPROGRAMS:
666        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
667        echo " rm -f" $$list; \
668        rm -f $$list || exit $$?; \
669        test -n "$(EXEEXT)" || exit 0; \
670        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
671        echo " rm -f" $$list; \
672        rm -f $$list
673install-libexecSCRIPTS: $(libexec_SCRIPTS)
674        @$(NORMAL_INSTALL)
675        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || list=; \
676        if test -n "$$list"; then \
677          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
678          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
679        fi; \
680        for p in $$list; do \
681          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
682          if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
683        done | \
684        sed -e 'p;s,.*/,,;n' \
685            -e 'h;s|.*|.|' \
686            -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
687        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
688          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
689            if ($$2 == $$4) { files[d] = files[d] " " $$1; \
690              if (++n[d] == $(am__install_max)) { \
691                print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
692            else { print "f", d "/" $$4, $$1 } } \
693          END { for (d in files) print "f", d, files[d] }' | \
694        while read type dir files; do \
695             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
696             test -z "$$files" || { \
697               echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
698               $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
699             } \
700        ; done
701
702uninstall-libexecSCRIPTS:
703        @$(NORMAL_UNINSTALL)
704        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || exit 0; \
705        files=`for p in $$list; do echo "$$p"; done | \
706               sed -e 's,.*/,,;$(transform)'`; \
707        dir='$(DESTDIR)$(libexecdir)'; $(am__uninstall_files_from_dir)
708
709mostlyclean-libtool:
710        -rm -f *.lo
711
712clean-libtool:
713        -rm -rf .libs _libs
714tags TAGS:
715
716ctags CTAGS:
717
718cscope cscopelist:
719
720
721# Recover from deleted '.trs' file; this should ensure that
722# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
723# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
724# to avoid problems with "make -n".
725.log.trs:
726        rm -f $< $@
727        $(MAKE) $(AM_MAKEFLAGS) $<
728
729# Leading 'am--fnord' is there to ensure the list of targets does not
730# expand to empty, as could happen e.g. with make check TESTS=''.
731am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
732am--force-recheck:
733        @:
734
735$(TEST_SUITE_LOG): $(TEST_LOGS)
736        @$(am__set_TESTS_bases); \
737        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
738        redo_bases=`for i in $$bases; do \
739                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
740                    done`; \
741        if test -n "$$redo_bases"; then \
742          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
743          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
744          if $(am__make_dryrun); then :; else \
745            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
746          fi; \
747        fi; \
748        if test -n "$$am__remaking_logs"; then \
749          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
750               "recursion detected" >&2; \
751        elif test -n "$$redo_logs"; then \
752          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
753        fi; \
754        if $(am__make_dryrun); then :; else \
755          st=0;  \
756          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
757          for i in $$redo_bases; do \
758            test -f $$i.trs && test -r $$i.trs \
759              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
760            test -f $$i.log && test -r $$i.log \
761              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
762          done; \
763          test $$st -eq 0 || exit 1; \
764        fi
765        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
766        ws='[   ]'; \
767        results=`for b in $$bases; do echo $$b.trs; done`; \
768        test -n "$$results" || results=/dev/null; \
769        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
770        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
771        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
772        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
773        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
774        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
775        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
776        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
777          success=true; \
778        else \
779          success=false; \
780        fi; \
781        br='==================='; br=$$br$$br$$br$$br; \
782        result_count () \
783        { \
784            if test x"$$1" = x"--maybe-color"; then \
785              maybe_colorize=yes; \
786            elif test x"$$1" = x"--no-color"; then \
787              maybe_colorize=no; \
788            else \
789              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
790            fi; \
791            shift; \
792            desc=$$1 count=$$2; \
793            if test $$maybe_colorize = yes && test $$count -gt 0; then \
794              color_start=$$3 color_end=$$std; \
795            else \
796              color_start= color_end=; \
797            fi; \
798            echo "$${color_start}# $$desc $$count$${color_end}"; \
799        }; \
800        create_testsuite_report () \
801        { \
802          result_count $$1 "TOTAL:" $$all   "$$brg"; \
803          result_count $$1 "PASS: " $$pass  "$$grn"; \
804          result_count $$1 "SKIP: " $$skip  "$$blu"; \
805          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
806          result_count $$1 "FAIL: " $$fail  "$$red"; \
807          result_count $$1 "XPASS:" $$xpass "$$red"; \
808          result_count $$1 "ERROR:" $$error "$$mgn"; \
809        }; \
810        {                                                               \
811          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
812            $(am__rst_title);                                           \
813          create_testsuite_report --no-color;                           \
814          echo;                                                         \
815          echo ".. contents:: :depth: 2";                               \
816          echo;                                                         \
817          for b in $$bases; do echo $$b; done                           \
818            | $(am__create_global_log);                                 \
819        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
820        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
821        if $$success; then                                              \
822          col="$$grn";                                                  \
823         else                                                           \
824          col="$$red";                                                  \
825          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
826        fi;                                                             \
827        echo "$${col}$$br$${std}";                                      \
828        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
829        echo "$${col}$$br$${std}";                                      \
830        create_testsuite_report --maybe-color;                          \
831        echo "$$col$$br$$std";                                          \
832        if $$success; then :; else                                      \
833          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
834          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
835            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
836          fi;                                                           \
837          echo "$$col$$br$$std";                                        \
838        fi;                                                             \
839        $$success || exit 1
840
841check-TESTS:
842        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
843        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
844        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
845        @set +e; $(am__set_TESTS_bases); \
846        log_list=`for i in $$bases; do echo $$i.log; done`; \
847        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
848        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
849        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
850        exit $$?;
851recheck: all $(check_PROGRAMS)
852        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
853        @set +e; $(am__set_TESTS_bases); \
854        bases=`for i in $$bases; do echo $$i; done \
855                 | $(am__list_recheck_tests)` || exit 1; \
856        log_list=`for i in $$bases; do echo $$i.log; done`; \
857        log_list=`echo $$log_list`; \
858        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
859                am__force_recheck=am--force-recheck \
860                TEST_LOGS="$$log_list"; \
861        exit $$?
862.test.log:
863        @p='$<'; \
864        $(am__set_b); \
865        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
866        --log-file $$b.log --trs-file $$b.trs \
867        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
868        "$$tst" $(AM_TESTS_FD_REDIRECT)
869@am__EXEEXT_TRUE@.test$(EXEEXT).log:
870@am__EXEEXT_TRUE@       @p='$<'; \
871@am__EXEEXT_TRUE@       $(am__set_b); \
872@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
873@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
874@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
875@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
876
877distdir: $(DISTFILES)
878        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
879        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
880        list='$(DISTFILES)'; \
881          dist_files=`for file in $$list; do echo $$file; done | \
882          sed -e "s|^$$srcdirstrip/||;t" \
883              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
884        case $$dist_files in \
885          */*) $(MKDIR_P) `echo "$$dist_files" | \
886                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
887                           sort -u` ;; \
888        esac; \
889        for file in $$dist_files; do \
890          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
891          if test -d $$d/$$file; then \
892            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
893            if test -d "$(distdir)/$$file"; then \
894              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
895            fi; \
896            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
897              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
898              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
899            fi; \
900            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
901          else \
902            test -f "$(distdir)/$$file" \
903            || cp -p $$d/$$file "$(distdir)/$$file" \
904            || exit 1; \
905          fi; \
906        done
907check-am: all-am
908        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
909        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
910check: check-am
911all-am: Makefile $(SCRIPTS)
912installdirs:
913        for dir in "$(DESTDIR)$(libexecdir)"; do \
914          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
915        done
916install: install-am
917install-exec: install-exec-am
918install-data: install-data-am
919uninstall: uninstall-am
920
921install-am: all-am
922        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
923
924installcheck: installcheck-am
925install-strip:
926        if test -z '$(STRIP)'; then \
927          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
928            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
929              install; \
930        else \
931          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
932            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
933            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
934        fi
935mostlyclean-generic:
936        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
937        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
938        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
939
940clean-generic:
941        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
942
943distclean-generic:
944        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
945        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
946
947maintainer-clean-generic:
948        @echo "This command is intended for maintainers to use"
949        @echo "it deletes files that may require special tools to rebuild."
950clean: clean-am
951
952clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
953        mostlyclean-am
954
955distclean: distclean-am
956        -rm -f Makefile
957distclean-am: clean-am distclean-generic
958
959dvi: dvi-am
960
961dvi-am:
962
963html: html-am
964
965html-am:
966
967info: info-am
968
969info-am:
970
971install-data-am:
972
973install-dvi: install-dvi-am
974
975install-dvi-am:
976
977install-exec-am: install-libexecSCRIPTS
978
979install-html: install-html-am
980
981install-html-am:
982
983install-info: install-info-am
984
985install-info-am:
986
987install-man:
988
989install-pdf: install-pdf-am
990
991install-pdf-am:
992
993install-ps: install-ps-am
994
995install-ps-am:
996
997installcheck-am:
998
999maintainer-clean: maintainer-clean-am
1000        -rm -f Makefile
1001maintainer-clean-am: distclean-am maintainer-clean-generic
1002
1003mostlyclean: mostlyclean-am
1004
1005mostlyclean-am: mostlyclean-generic mostlyclean-libtool
1006
1007pdf: pdf-am
1008
1009pdf-am:
1010
1011ps: ps-am
1012
1013ps-am:
1014
1015uninstall-am: uninstall-libexecSCRIPTS
1016
1017.MAKE: check-am install-am install-strip
1018
1019.PHONY: all all-am check check-TESTS check-am clean \
1020        clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1021        ctags-am distclean distclean-generic distclean-libtool distdir \
1022        dvi dvi-am html html-am info info-am install install-am \
1023        install-data install-data-am install-dvi install-dvi-am \
1024        install-exec install-exec-am install-html install-html-am \
1025        install-info install-info-am install-libexecSCRIPTS \
1026        install-man install-pdf install-pdf-am install-ps \
1027        install-ps-am install-strip installcheck installcheck-am \
1028        installdirs maintainer-clean maintainer-clean-generic \
1029        mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
1030        ps ps-am recheck tags-am uninstall uninstall-am \
1031        uninstall-libexecSCRIPTS
1032
1033.PRECIOUS: Makefile
1034
1035
1036$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1037
1038# Tell versions [3.59,3.63) of GNU make to not export all variables.
1039# Otherwise a system limit (for SysV at least) may be exceeded.
1040.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.